USRP Hardware Driver and USRP Manual: uhd::features::spi_getter_iface Class Reference

| USRP Hardware Driver and USRP Manual Version: 4.9.0.makepkg-0-g9ec1f582 UHD and USRP Manual |

Loading...
Searching...
No Matches
uhd::features::spi_getter_iface Class Referenceabstract

`#include <uhd/features/spi_getter_iface.hpp>`

Inheritance diagram for uhd::features::spi_getter_iface:

## Public Types
using | sptr = std::shared_ptr<spi_getter_iface>
Public Types inherited from uhd::features::discoverable_feature
enum | feature_id_t { RESERVED0 , RESERVED1 , FPGA_LOAD_NOTIFICATION , ADC_SELF_CALIBRATION , REF_CLK_CALIBRATION , TRIG_IO_MODE , GPIO_POWER , SPI_GETTER_IFACE , INTERNAL_SYNC , GPS }
| An enum of all features supported by the driver. When creating a new. More...
using | sptr = std::shared_ptr<discoverable_feature>

## Public Member Functions
std::string | get_feature_name () const
| Returns a human-readable string name of this feature.
virtual | ~spi_getter_iface ()=default
virtual uhd::spi_iface::sptr | get_spi_ref (const std::vector< uhd::features::spi_periph_config_t > &spi_periph_config) const =0
Public Member Functions inherited from uhd::features::discoverable_feature
virtual | ~discoverable_feature ()=default

## Static Public Member Functions
static discoverable_feature::feature_id_t | get_feature_id ()

## Detailed Description

Interface to provide access to SPI Interface.

## Member Typedef Documentation

## ◆ sptr

using uhd::features::spi_getter_iface::sptr = std::shared_ptr<spi_getter_iface>

## Constructor & Destructor Documentation

## ◆ ~spi_getter_iface()

virtual uhd::features::spi_getter_iface::~spi_getter_iface | ( |  | ) |
| virtualdefault

## Member Function Documentation

## ◆ get_feature_id()

discoverable_feature::feature_id_t uhd::features::spi_getter_iface::get_feature_id | ( |  | ) |
| inlinestatic

## ◆ get_feature_name()

std::string uhd::features::spi_getter_iface::get_feature_name | ( |  | ) | const
| inlinevirtual

Returns a human-readable string name of this feature.

Implements uhd::features::discoverable_feature.

## ◆ get_spi_ref()

virtual uhd::spi_iface::sptr uhd::features::spi_getter_iface::get_spi_ref | ( | const std::vector< uhd::features::spi_periph_config_t > & | spi_periph_config | ) | const
| pure virtual

Return the SPI interface to read and write on.

Returns
  SPI interface

The documentation for this class was generated from the following file:

- spi_getter_iface.hpp